Subject: bug#33182: 26.1; Support for Suckless st(simple terminal)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Nov 2018 10:53:17 +0200

> From: "D. Ebling" <[email-masked]>
> Date: Sat, 27 Oct 2018 20:15:26 -0300
> 
>        Emacs on st detects 8 colors support, and st supports 256 and
> 24-bits colors. Opening a file with "TERM=xterm-256colors emacs -q -nw
> foo.bar" or using "(add-to-list 'term-file-aliases '("st-256color"
> . "xterm"))" resolves the colors issue but introduces a 5 seconds delay
> to load the file, if i open like this and after use only "emacs -q -nw
> foo.bar" the 256 colors work and there's no delay to load the file, but
> this only works if i used "TERM=xterm-256color" before.  st version is 0.8.1.

I think this requires a new st.el file in the lisp/term/ directory,
which will tell Emacs that st handles 256 colors, but not the extended
xterm commands (whose queries I'm guessing are the reason for the
delay).

Patches welcome.